Skip to main content
`Ctrl`+`K`

# PetscDualSpaceSimpleSetFunctional

Set the given basis functional for this dual space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSimpleSetFunctional(PetscDualSpace sp, PetscInt func, PetscQuadrature q)

Not Collective

## Input Parameters

- sp - the `PetscDualSpace`

- func - the basis index

- q - the basis functional

## Note

The quadrature will be reweighted so that it has unit volume.

## See Also

`PETSCDUALSPACESIMPLE`, `PetscDualSpace`, `PetscDualSpaceSimpleSetDimension()`

## Level

intermediate

## Location

src/dm/dt/dualspace/impls/simple/dspacesimple.c

## Implementations

PetscDualSpaceSimpleSetFunctional_Simple() in src/dm/dt/dualspace/impls/simple/dspacesimple.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages